import { canIUse } from '@tarojs/taro';
import { useEffect, useState } from '@taro-hooks/core';
function useAPICheck(scheme) {
  var setAPI = function setAPI(scheme) {
    if (!scheme) return false;
    var valid = canIUse(scheme);
    setApiValid(valid);
    return valid;
  };
  var _useState = useState(canIUse(scheme)),
    apiValid = _useState[0],
    setApiValid = _useState[1];
  useEffect(function () {
    scheme && setAPI(scheme);
  }, [scheme]);
  return [apiValid, setAPI];
}
export default useAPICheck;