import type { PromiseAction, PromiseWithoutOptionAction, ExcludeOption, WithUndefind } from '../type';
export type GetResult = Taro.getClipboardData.SuccessCallbackOption;
export type Get = PromiseWithoutOptionAction<GetResult['data']>;
export type SetOption = ExcludeOption<Taro.setClipboardData.Option>;
export type Set = PromiseAction<any>;
declare function useClipboardData(): [WithUndefind<string>, {
    get: Get;
    set: Set;
}];
export default useClipboardData;
