import type { PromiseOptionalAction, ExcludeOption } from '../type';
export type ShowModalOption = Partial<ExcludeOption<Taro.showModal.Option>>;
export type Show = PromiseOptionalAction<ShowModalOption, Taro.showModal.SuccessCallbackResult>;
declare function useModal(option?: ShowModalOption): Show;
export default useModal;
