import type { RecorderManager } from '@tarojs/taro';
import type { ExcludeOption, PromiseOptionalAction, PromiseWithoutOptionAction } from '../type';
export type Start = PromiseOptionalAction<ExcludeOption<RecorderManager.StartOption>>;
export type Stop = PromiseWithoutOptionAction<RecorderManager.OnStopCallbackResult>;
declare function useRecord(): [
    RecorderManager,
    {
        start: Start;
        stop: Stop;
    }
];
export default useRecord;
