import { setTopBarText } from '@tarojs/taro';
import usePromise from '../usePromise';
function useTopBarText(text) {
  var setTopBarTextAsync = usePromise(setTopBarText);
  var set = function set(topBarText) {
    return setTopBarTextAsync({
      text: topBarText
    });
  };
  if (text) {
    set(text);
  }
  return set;
}
export default useTopBarText;