"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var taro_1 = require("@tarojs/taro");
var core_1 = require("@taro-hooks/core");
function useAPICheck(scheme) {
  var setAPI = function setAPI(scheme) {
    if (!scheme) return false;
    var valid = (0, taro_1.canIUse)(scheme);
    setApiValid(valid);
    return valid;
  };
  var _ref = (0, core_1.useState)((0, taro_1.canIUse)(scheme)),
    apiValid = _ref[0],
    setApiValid = _ref[1];
  (0, core_1.useEffect)(function () {
    scheme && setAPI(scheme);
  }, [scheme]);
  return [apiValid, setAPI];
}
exports["default"] = useAPICheck;