import type { Noop, Void } from '../type';
export type Listen = (eventName: string, ...handlers: Noop[]) => void;
export type Trigger = (eventName: string, ...params: any[]) => void;
declare function useEvent(namespace: string): {
    set: Listen;
    setOnce: Listen;
    off: Listen;
    clear: Void;
    trigger: Trigger;
};
export default useEvent;
