"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var tslib_1 = require("tslib");
var core_1 = require("@taro-hooks/core");
var usePage_1 = tslib_1.__importDefault(require("../usePage"));
function useFrom() {
  var _ref = (0, usePage_1["default"])(),
    stackLength = _ref[0],
    pageStack = _ref[1].pageStack;
  var generateFromInfo = function generateFromInfo() {
    return stackLength > 1 ? pageStack[stackLength - 2] : null;
  };
  return (0, core_1.useRef)(generateFromInfo()).current;
}
exports["default"] = useFrom;