"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var tslib_1 = require("tslib");
var core_1 = require("@taro-hooks/core");
var shared_1 = require("@taro-hooks/shared");
var useNetworkType_1 = tslib_1.__importDefault(require("../useNetworkType"));
function useOnline() {
  var _ref = (0, core_1.useState)(true),
    online = _ref[0],
    changeOnline = _ref[1];
  var networkType = (0, useNetworkType_1["default"])();
  (0, core_1.useEffect)(function () {
    var currentNetworkType = (0, shared_1.escapeState)(networkType);
    if (currentNetworkType && currentNetworkType !== 'none') {
      changeOnline(true);
    } else {
      changeOnline(false);
    }
  }, [networkType]);
  return online;
}
exports["default"] = useOnline;