"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var taro_1 = require("@tarojs/taro");
var core_1 = require("@taro-hooks/core");
function usePage(scope) {
  var getPageInstance = function getPageInstance() {
    if (scope && typeof scope === 'string') {
      var _page;
      return (_page = (0, taro_1.getCurrentInstance)().page) == null ? void 0 : _page.selectComponent == null ? void 0 : _page.selectComponent(scope);
    }
    return (0, taro_1.getCurrentInstance)();
  };
  var pageStack = (0, core_1.useRef)((0, taro_1.getCurrentPages)());
  var pageInstance = (0, core_1.useRef)(getPageInstance());
  return [pageStack.current.length, {
    pageInstance: pageInstance.current,
    pageStack: pageStack.current
  }];
}
exports["default"] = usePage;