"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var tslib_1 = require("tslib");
var taro_1 = require("@tarojs/taro");
var usePromise_1 = tslib_1.__importDefault(require("../usePromise"));
function useRequestSubscribeMessage() {
  var subscribeAsync = (0, usePromise_1["default"])(taro_1.requestSubscribeMessage);
  var subscribeDevice = (0, usePromise_1["default"])(taro_1.requestSubscribeDeviceMessage);
  var subscribe = function subscribe(tmplIds) {
    return subscribeAsync({
      tmplIds: tmplIds
    });
  };
  return {
    subscribe: subscribe,
    subscribeDevice: subscribeDevice
  };
}
exports["default"] = useRequestSubscribeMessage;