import type { ExcludeOption, PromiseOptionalAction } from '../type';
export type Option = ExcludeOption<Taro.scanCode.Option>;
export type Scan = PromiseOptionalAction<Option, Taro.scanCode.SuccessCallbackResult>;
export type CameraScan = PromiseOptionalAction<Taro.scanCode.Option['scanType'], Taro.scanCode.SuccessCallbackResult>;
declare function useScanCode(initialOption?: Option): {
    scan: Scan;
    cameraScan: CameraScan;
};
export default useScanCode;
