"use strict";

function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
var tslib_1 = require("tslib");
var taro_1 = require("@tarojs/taro");
var usePromise_1 = tslib_1.__importDefault(require("../usePromise"));
function useScanCode(initialOption) {
  if (initialOption === void 0) {
    initialOption = {};
  }
  var scanAsync = (0, usePromise_1["default"])(taro_1.scanCode);
  var scan = function scan(option) {
    if (option === void 0) {
      option = {};
    }
    return scanAsync(_extends({}, initialOption, option));
  };
  var cameraScan = function cameraScan(type) {
    var _initialOption;
    return scanAsync({
      scanType: type != null ? type : (_initialOption = initialOption) == null ? void 0 : _initialOption.scanType,
      onlyFromCamera: true
    });
  };
  return {
    scan: scan,
    cameraScan: cameraScan
  };
}
exports["default"] = useScanCode;