import type { PromiseOptionalAction, Noop } from '../type';
export declare enum VIBRATEINTERVAL {
    SHORT = 15,
    LONG = 400,
    DEFAULT = 200
}
export type Vibrate = PromiseOptionalAction<boolean>;
export type Clear = Noop;
declare function useVibrate(interval?: boolean, gap?: VIBRATEINTERVAL): {
    vibrate: Vibrate;
    clear: Clear;
};
export default useVibrate;
