"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var tslib_1 = require("tslib");
var taro_1 = require("@tarojs/taro");
var usePromise_1 = tslib_1.__importDefault(require("../usePromise"));
function useWeRun() {
  var get = (0, usePromise_1["default"])(taro_1.getWeRunData);
  var shareAsync = (0, usePromise_1["default"])(taro_1.shareToWeRun);
  var share = function share(recordList) {
    return shareAsync({
      recordList: recordList
    });
  };
  return {
    get: get,
    share: share
  };
}
exports["default"] = useWeRun;