import { enableAlertBeforeUnload, disableAlertBeforeUnload } from '@tarojs/taro';
import usePromise from '../usePromise';
function useAlertBeforeUnload() {
  var enable = usePromise(enableAlertBeforeUnload);
  var disable = usePromise(disableAlertBeforeUnload);
  return {
    enable: enable,
    disable: disable
  };
}
export default useAlertBeforeUnload;