import type { UnionCallBackResult, PromiseParamsAction, PromiseWithoutOptionAction } from '../type';
export type Check = PromiseWithoutOptionAction;
export type Login = PromiseParamsAction<(needCheck?: boolean, plugin?: boolean, timeout?: number) => void, UnionCallBackResult<Taro.login.SuccessCallbackResult>>;
declare function useLogin(): {
    check: Check;
    login: Login;
};
export default useLogin;
