import { useEffect, useState } from '@taro-hooks/core';
import { escapeState } from '@taro-hooks/shared';
import useNetworkType from '../useNetworkType';
function useOnline() {
  var _useState = useState(true),
    online = _useState[0],
    changeOnline = _useState[1];
  var networkType = useNetworkType();
  useEffect(function () {
    var currentNetworkType = escapeState(networkType);
    if (currentNetworkType && currentNetworkType !== 'none') {
      changeOnline(true);
    } else {
      changeOnline(false);
    }
  }, [networkType]);
  return online;
}
export default useOnline;