import type { ExcludeOption, PromiseAction } from '../type';
export type SubscribeOption = ExcludeOption<Taro.requestSubscribeMessage.Option>;
export type Subscribe = PromiseAction<SubscribeOption['tmplIds'], Taro.requestSubscribeMessage.SuccessCallbackResult>;
export type SubscribeDeviceOption = ExcludeOption<Taro.requestSubscribeDeviceMessage.Option>;
export type SubscribeDevice = PromiseAction<SubscribeDeviceOption, Taro.requestSubscribeDeviceMessage.SuccessCallbackResult>;
declare function useRequestSubscribeMessage(): {
    subscribe: Subscribe;
    subscribeDevice: SubscribeDevice;
};
export default useRequestSubscribeMessage;
