import { requestSubscribeMessage, requestSubscribeDeviceMessage } from '@tarojs/taro';
import usePromise from '../usePromise';
function useRequestSubscribeMessage() {
  var subscribeAsync = usePromise(requestSubscribeMessage);
  var subscribeDevice = usePromise(requestSubscribeDeviceMessage);
  var subscribe = function subscribe(tmplIds) {
    return subscribeAsync({
      tmplIds: tmplIds
    });
  };
  return {
    subscribe: subscribe,
    subscribeDevice: subscribeDevice
  };
}
export default useRequestSubscribeMessage;