import type { PromiseOptionalAction, ExcludeOption, WithUndefind, UnionCallBackResult } from '../type';
export type GetInfo = PromiseOptionalAction<ExcludeOption<Taro.getUserInfo.Option>, UnionCallBackResult<Taro.getUserInfo.SuccessCallbackResult>>;
export type GetProfile = PromiseOptionalAction<ExcludeOption<Taro.getUserProfile.Option>, Taro.getUserProfile.SuccessCallbackResult>;
export type UserInfo = WithUndefind<Partial<Taro.getUserInfo.SuccessCallbackResult>>;
declare function useUserInfo(): [
    UserInfo,
    {
        getUserInfo: GetInfo;
        getUserProfile: GetProfile;
    }
];
export default useUserInfo;
