import { getWeRunData, shareToWeRun } from '@tarojs/taro';
import usePromise from '../usePromise';
function useWeRun() {
  var get = usePromise(getWeRunData);
  var shareAsync = usePromise(shareToWeRun);
  var share = function share(recordList) {
    return shareAsync({
      recordList: recordList
    });
  };
  return {
    get: get,
    share: share
  };
}
export default useWeRun;