"use strict";

var _navigator$getBattery;
Object.defineProperty(exports, "__esModule", {
  value: true
});
var createUseInfoHook_1 = require("../createUseInfoHook");
var batteryManager = {};
// a bug will fixed: in taro, getBattery is missing????
navigator.getBattery == null ? void 0 : (_navigator$getBattery = navigator.getBattery()) == null ? void 0 : _navigator$getBattery.then == null ? void 0 : _navigator$getBattery.then(function (battery) {
  batteryManager = battery;
});
var getBatteryInfoSync = function getBatteryInfoSync() {
  var result = {
    isCharging: false,
    level: '100'
  };
  if (navigator && 'getBattery' in navigator) {
    var _batteryManager = batteryManager,
      _batteryManager$charg = _batteryManager.charging,
      isCharging = _batteryManager$charg === void 0 ? false : _batteryManager$charg,
      _batteryManager$level = _batteryManager.level,
      level = _batteryManager$level === void 0 ? 1 : _batteryManager$level;
    result = {
      isCharging: isCharging,
      level: level * 100 + ''
    };
  }
  return result;
};
var useBattery = (0, createUseInfoHook_1.createUseInfoHook)(getBatteryInfoSync, {});
exports["default"] = useBattery;