"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var tslib_1 = require("tslib");
var taro_1 = require("@tarojs/taro");
var usePromise_1 = tslib_1.__importDefault(require("../usePromise"));
function useTopBarText(text) {
  var setTopBarTextAsync = (0, usePromise_1["default"])(taro_1.setTopBarText);
  var set = function set(topBarText) {
    return setTopBarTextAsync({
      text: topBarText
    });
  };
  if (text) {
    set(text);
  }
  return set;
}
exports["default"] = useTopBarText;